近來核能議題因為核四公投,吵得沸沸揚揚。這幾天在網路上看了很多正反面的說法,決定在此做一個整理,同時也期待可以重新釐清自己的想法。

這次公投,其實是一個十分良好的契機,可以讓島上不同立場的人民做意見的討論與交流。即使在最後選擇的立場不同,我們應該都要能試著去理解彼此為什麼會做出不同的決定。一件議題的產生,必定是因有所爭議,過程中必定會有許多不同的聲音,最後也不見得能找到多全齊美的方式。但當持不同意見的陣營願意開啟彼此溝通的大門時,我們才有機會去找到讓雙方都能接受的答案。即便這次失敗了,社會上還會有千千萬萬的議題等待我們一起去解決。社會共識的激盪與凝聚是一個長久的過程,期待這次公投期間的正反辯論過程,能讓我們邁向一個更好的台灣。

我給自己的提醒是:選擇立場,並保留被不同意見說服的可能。
, , , , , , , , ,

Posted by Starshine at 痞客邦 PIXNET 留言(0) 引用(0) 人氣()

近日重新安裝主機系統,心血來潮想說順便把用了很久的VCS(Version Control System,版本控制系統)從SVN換掉。

原本打算要試試看當紅的 git ,但研究了一陣子之後,決定採用看起來比較簡單易懂的 Mercurial 。
Mercurial 與 git 一樣都是分散式的 VCS ,兩者的比較可以參考這個連結(雖然有點過時了)。
總之,以下是我在 Ubuntu 12.04 上從 svn 移轉到 Mercurial 的歷程記錄:

1. 安裝 Mercurial 。很簡單,只要 apt-get 就可以了,這裡的 meld 是一個 diff/merge 程式,也可以不要裝。

$ sudo apt-get install mercurial meld
, , , , , , ,

Posted by Starshine at 痞客邦 PIXNET 留言(0) 引用(0) 人氣()

因為覺得每次臨時在網路上找罰款金額,都找不到一個確定的說法,所以自己找資料整理了一下。
簡單說,超過速限60公里內,是有分高速公路/一般道路的,但超過60公里之後,就通用了。 (當速限100k,你如果開到170k,不管在哪條路上都是罰8000)

以下版本為 102.07.11 修正版。

違反事由 法定罰鍰額度 違規車種 統一裁罰基準
(期限內繳納)
以下為高速公路適用
行駛高、快速公路行車速度超過規定
之最高速限未滿二十公里
3000~6000 小型車 3000
大型車 3500
行駛高、快速公路行車速度超過規定
之最高速限二十公里以上未滿四十公里
3000~6000 小型車 3500
大型車 4500
行駛高、快速公路行車速度超過規定
之最高速限四十公里以上未滿六十公里
3000~6000 小型車 5000
大型車 6000
以下為一般道路適用
駕駛人行車速度,超過規定
之最高時速二十公里以內
1200~2400 機車 1200
汽車 1600
駕駛人行車速度,超過規定
之最高時速逾二十公里至四十公里以內
1200~2400 機車 1400
汽車 1800
駕駛人行車速度,超過規定
之最高時速逾四十公里至六十公里以內
1200~2400 機車 1600
汽車 2000
以下為一般道路/高速公路通用
行車速度,超過規定之最高時速
逾六十公里至八十公里以內
6000~24000 機車/小型車 8000
大型車 12000
行車速度,超過規定之最高時速
逾八十公里至一OO公里以內
6000~24000 機車/小型車 12000
大型車 16000
行車速度,超過規定之最高時速
逾一OO公里
6000~24000 無區別 24000


因道路法規常常修改,若有疑問可以直接連到全國法規資料庫查詢最新裁罰基準表。 當中也包含針對違規停車、酒駕等各式交通違規的裁罰基準。
, , , , , , , ,

Posted by Starshine at 痞客邦 PIXNET 留言(6) 引用(0) 人氣()

最近常常刷機換 ROM ,有些 ROM 刷完之後,桌面 Widget 的中文音樂檔案顯示都會變成亂碼,
雖然不致於影響使用,但看久了還是很煩的。

在網路上找到解法,實際使用後確實有效。
我刷的 ROM 是 X10S V9

解法就是到 設定 -> 應用程式 -> 管理應用程式(全部) -> 媒體儲存空間 -> 清除資料
做完後再重新啟動,系統就會重新讀取媒體庫內容,就可以正確顯示出中文囉。
(其實我也順便清理了音樂播放器的資料和快取)
我想應該是 ROM 的預設語言 / 不同 ROM 間切換造成的問題吧。

screenshot-1352360354455

參考資料:http://bbs.gfan.com/android-466149-1-1.html
, , , , , ,

Posted by Starshine at 痞客邦 PIXNET 留言(0) 引用(0) 人氣()

在Ubuntu的環境上做RoR建置大致上沒太多問題,
比較常遇到的就是dependent package沒安裝,再去apt-get install就好。
如果有安裝失敗的狀況,就sudo一下囉!

主要參考以下網站就可以了:
http://blog.sudobits.com/2012/05/02/how-to-install-ruby-on-rails-in-ubuntu-12-04-lts/
https://www.digitalocean.com/community/articles/how-to-install-rails-apache-and-mysql-on-ubuntu-with-passenger
http://www.modrails.com/documentation/Users%20guide%20Apache.html#_deploying_a_rack_based_ruby_application_including_rails_gt_3

, , ,

Posted by Starshine at 痞客邦 PIXNET 留言(0) 引用(0) 人氣()

上一篇成功連結本機的 MySQL 環境之後,我們已經可以透過 Rails 本身的 Webrick 伺服器來做開發了。但下一步我還希望把 Apache 也跟 Rails 連成一氣,花了大半天的時間,終於成功,以下記錄:

再列出一次PC環境:
Windows XP 32-bit
AppServ 2.5.10 (PHP 5.2.6, Apache 2.2.8, MySQL 5.0.51b)
Ruby on Rails (RailsInstaller 2.1: Ruby 1.9.3, Rails 3.2)


首先,我們找一個 ruby web server 來取代內建的 webrick。
目前與 Apache 整合最好的套件應該是 Passenger
但很遺憾的他無法在 Windows 上面使用。
而另一個之前較多數人使用的選擇 Mongrel,現在無法支援 Rails 3.+,
因此我們大約只剩下 thin 這個選項。
, , , , , , ,

Posted by Starshine at 痞客邦 PIXNET 留言(0) 引用(0) 人氣()

最近想要開始玩玩Ruby on Rails,花了一番時間才把他跟我原本既有的AppServ環境整合。
雖然網路上大部分的訊息都透露RoR對Windows系統不是很友善,
但我還是希望可以在平常用的PC上作一些簡單的測試和開發,所以.....折騰了不少時間。

以下是我的PC環境:
Windows XP 32-bit
AppServ 2.5.10 (PHP 5.2.6, Apache 2.2.8, MySQL 5.0.51b)
Ruby on Rails (RailsInstaller 2.1: Ruby 1.9.3, Rails 3.2)

, , , , ,

Posted by Starshine at 痞客邦 PIXNET 留言(0) 引用(0) 人氣()